using UnityEngine;
using System.Collections;

public class LeftAndRight : MonoBehaviour {
	
	private Vector3 _position1;
	private Vector3 _position2;
	
	private bool _goingForward;
	private float _timeThisPass;
	private float _timePerPass;
	
	private Vector3 FromPoint {
		get {
			return _goingForward?_position1:_position2;
		}
	}
	
	private Vector3 ToPoint {
		get {
			return _goingForward?_position2:_position1;
		}
	}

	// Use this for initialization
	void Start () {
		_position1 = transform.position + Vector3.right * 3; // start here
		_position2 = transform.position - Vector3.right * 3;
		_goingForward = true;
		_timeThisPass = 0;
		_timePerPass = Vector3.Distance(_position1,_position2) / 4.0f;
	}
	
	// Update is called once per frame
	void Update () {
		_timeThisPass += Time.deltaTime;
		transform.position = Vector3.Lerp(FromPoint, ToPoint, _timeThisPass / _timePerPass );
		
		if (transform.position == ToPoint) {
			_goingForward = !_goingForward;
			_timeThisPass = 0;
		}
	}
}
